Get Pending Schedules
curl --request GET \
--url https://app.toku.com/api/tokuApi/v1/getPendingSchedules \
--header 'Authorization: Bearer <token>' \
--header 'x-role-type: <x-role-type>'import requests
url = "https://app.toku.com/api/tokuApi/v1/getPendingSchedules"
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-role-type': '<x-role-type>', Authorization: 'Bearer <token>'}
};
fetch('https://app.toku.com/api/tokuApi/v1/getPendingSchedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pendingSchedules": [
{
"scheduleID": "ee0e8400-e29b-41d4-a716-446655440010",
"scheduleType": "VESTING",
"grantName": "Q1 2026 Token Grant",
"recipientName": "Jane Smith",
"units": 2500,
"vestDate": "2026-04-01T00:00:00.000Z",
"status": "PENDING"
}
]
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Distributions
Get Pending Schedules
Returns vestings, lockups, and warrant lockups pending approval.
GET
/
getPendingSchedules
Get Pending Schedules
Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN Query Parameters
Comma-separated: VESTING,LOCKUP,WARRANT_LOCKUP
Filter by upcoming months
Available options:
1, 3, 6 Response
Pending schedules
Show child attributes
Show child attributes
⌘I
